package com.css.simulation.resource.scheduler.feign;

import com.css.simulation.resource.scheduler.configuration.feign.FeignConfiguration;
import com.css.simulation.resource.scheduler.feign.fallback.DemoServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestMapping;

@Component
@FeignClient(value = "simulation-resource-common", fallback = DemoServiceFallback.class, configuration = FeignConfiguration.class)
public interface DemoService {

    @RequestMapping("/hello")
    String hello();
}
